%define name		lame
%define version 3.97
%define fversion %{version}
%define distsuffix plf
%define release %mkrel 3
%define major		0

%define lib_name	%mklibname %{name} %{major}
%define develname %mklibname -d %name
%define staticname %mklibname -d -s %name

%define expopt 1


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LAME Ain't an MP3 Encoder
License:	LGPL
Group:		Sound
URL:		http://lame.sourceforge.net
Source:		http://prdownloads.sourceforge.net/lame/%{name}-%fversion.tar.bz2 
Buildroot:	%{_tmppath}/%name-%version-root/
BuildRequires:  autoconf2.5
BuildRequires:  ncurses-devel 
BuildRequires:  gtk-devel
%ifarch %{ix86}
BuildRequires:	nasm 
%endif
%if %mdkversion >= 200700
BuildRequires: libxi-static-devel libxext-static-devel libx11-static-devel libxau-static-devel libxdmcp-static-devel
%endif
%if %mdkversion >= 200810
BuildRequires: libxcb-static-devel
%endif
Obsoletes:	notlame
Provides:	notlame

%description
Following the great history of GNU naming, LAME originally stood for LAME 
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the 
dist10 ISO demonstration source, and thus was incapable of producing an 
mp3 stream or even being compiled by itself. But in May 2000, the last 
remnants of the ISO source code were replaced, and now LAME is the source 
code for a fully GPL'd MP3 encoder, with speed and quality to rival all 
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.  
The goal of the LAME project is to use the open source model to improve 
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and 
requires the ability to use a C compiler. However, many popular ripping 
and encoding programs include the LAME encoding engine, see: Software 
which uses LAME.

Personal and commercial use of compiled versions of LAME (or any other mp3 
encoder) requires a patent license in some countries.

This package is in PLF, as MP3 encoding is covered by software patents.

%package mp3x
Summary:	MP3x analyzer for LAME
Group:		Sound
Requires:	%{name} = %{version}

%description mp3x
This is a graphical analyzer for lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%package -n %{lib_name}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	libmp3lame0
Provides:	libmp3lame0

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%package -n %develname
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libmp3lame0-devel
Provides:	libmp3lame0-devel
Obsoletes: %mklibname -d %name 0

%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%package -n %staticname
Summary:	Static library for developing programs based on libmp3lame
Group:		Development/C
Requires:	%develname = %version
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	libmp3lame0-static-devel
Provides:	libmp3lame0-static-devel
Obsoletes: %mklibname -d -s %name 0

%description -n %staticname
This package contains the static library programmers will need to develop
applications which will use libmp3lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%prep
%setup -q
ln -s acm ACM
cp -r doc/html .
#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%expopt
export CFLAGS="`echo %optflags |sed s/-O[23]/-O1/`"
%endif
export GTK_CONFIG=%_bindir/gtk-config
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x \
%ifarch %{ix86}
	--enable-nasm \
%endif
%if %expopt
	--enable-expopt \
%endif
	--without-vorbis --enable-mp3x --enable-brhist 

#gw parallel build does not work
make 
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}
#clean unpackaged files
rm -rf %buildroot/%_datadir/doc/lame

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO USAGE html/
%{_bindir}/lame
%{_mandir}/man1/lame.1*
%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc STYLEGUIDE API ChangeLog
%{_includedir}/*
%{_libdir}/libmp3lame.so
%{_libdir}/libmp3lame.la

%files -n %staticname
%defattr(-,root,root)
%{_libdir}/libmp3lame.a

%files mp3x
%defattr (-,root,root)
%doc README
%{_bindir}/mp3x

%changelog
* Mon Mar 24 2008 Gtz Waschk <goetz@zarb.org> 3.97-3plf2008.1
- new devel name
- fix buildrequires

* Mon Mar 19 2007 Gtz Waschk <goetz@zarb.org> 3.97-2plf2007.1
- move ChangeLog to the devel package (requested by tv)

* Sun Sep 24 2006 Gtz Waschk <goetz@zarb.org> 3.97-1plf2007.0
- new version

* Sun Aug 20 2006 Gtz Waschk <goetz@zarb.org> 3.97-0.b3.1plf2007.0
- new version 3.97 beta 3

* Sun Jul  9 2006 Gtz Waschk <goetz@zarb.org> 3.97-0.b2.2plf2007.0
- fix buildrequires

* Tue Nov 29 2005 Gtz Waschk <goetz@zarb.org> 3.97-0.b2.1plf
- update docs
- new version

* Mon Sep 12 2005 Gtz Waschk <goetz@zarb.org> 3.97-0.b.1plf
- mkrel
- New release 3.97b

* Mon Jul 26 2004 Gtz Waschk <goetz@zarb.org> 3.96.1-1plf
- reenable libtoolize for Cooker
- add source URL
- New release 3.96.1

* Mon Apr 12 2004 Gtz Waschk <goetz@plf.zarb.org> 3.96-1plf
- fix docs listing
- update descriptions
- new version

* Tue Jan 13 2004 Gtz Waschk <goetz@plf.zarb.org> 3.95.1-1plf
- new version

* Mon Jan 12 2004 Gtz Waschk <goetz@plf.zarb.org> 3.95-2plf
- fix buildrequires

* Sun Jan 11 2004 Gtz Waschk <goetz@plf.zarb.org> 3.95-1plf
- don't run libtoolize
- use the mdkversion macro
- enable optimizations for all builds
- new version

* Sun Dec 14 2003 Stefan van der Eijk <stefan@eijk.nu> 3.93.1-6plf
- re-upload

* Wed Sep  3 2003 Gtz Waschk <goetz@plf.zarb.org> 3.93.1-5plf
- support for Mandrake 9.0

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.93.1-4plf
- changed main package name to lame, as other mdk package doesn't exist any more
- changed library package name to liblame for cohereny
- used mklibname
- fixed provides

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.93.1-3plf
- rebuild for new rpm devel computation
- stricter dependency between lib and devel package

* Sun Mar 30 2003 Gtz Waschk <goetz@plf.zarb.org> 3.93.1-2plf
- don't call autoconf

* Mon Dec 16 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 3.93.1-1plf
- spec fixes
- add a static-devel package
- new version

* Thu Nov  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.93-0.20021107.1plf
- buildrequires autoconf2.5
- fix mp3x build
- fix detection of Mandrake version
- new snapshot

* Tue Aug 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 3.93-0.20020827.1plf
- fix buildrequires
- new snapshot
- update version check for Mandrake 9.0

* Wed Jul  3 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 3.93-0.20020702.1plf
- new snapshot (3.93 alpha 2)
- autoconf 2.5 macro

* Sun May 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.93-0.20020422.3plf
- use optimization specific to the gcc version

* Thu Apr 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.93-0.20020422.2plf
- CVS snapshot
- merge with package from David Walluck <david@anti-microsoft.org>

* Mon Apr 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.92-1plf
- 3.92
- builds with newer nasm now

* Sun Feb 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.91-3plf
- rebuild for right vendor tag

* Sat Feb 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.91-2plf
- requires nasm only on ix86 machines

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 3.91-1plf 
- new plf extension

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.91-1mdk
- 3.91 final

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.90-0.20011127.1mdk
- new snapshot
- requires older nasm version for build
- spec file fixes

* Mon Oct 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.90-0.20011022.1mdk
- moved libmp3lame.so to devel package, avifile was fixed
- removed .cvsignore files from doc
- new snapshot

* Fri Oct  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.90-0.20010816.2mdk
- include man page
- set CFLAGS before configure call
- build dynamic libs, avifile prefers them
- Gtz is real packager :-)

* Wed Oct  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.90-0.20010816.1mdk
- build for Mandrake Linux
